Bug 20946 - X server for G200 crasesh on startup
Summary: X server for G200 crasesh on startup
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i586 Linux
medium
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-16 09:44 UTC by he
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 18:34:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server startup log showing the crash happening (20.63 KB, text/plain)
2000-11-22 10:15 UTC, he
no flags Details

Description he 2000-11-16 09:44:06 UTC
I just installed redhat7 on my AMD-K6 machine with a Matrox Millenium G200
with 8Mb SGRAM. I configured it using the RedHat7 installer and when
pressing the test button for the X setup it worked fine. I choose to start
the machine in
runlevel 5 (X login).

After rebooting after setup the X server crashed on startup when running
the login manager. This resulted in init trying to respawn the X server
continously causing my monitor to change frequency and resolution very very
rapidly - I thought it might explode!

It seems that the crash is related to DRI and/or the mga kernel module. I
removed mga.o and now I can start X.

Comment 1 he 2000-11-16 09:48:39 UTC
Uh forgot to add: The server complains about not having enough memory for DRI
and then fails with signal 11.

Comment 2 he 2000-11-22 10:15:46 UTC
Created attachment 5644 [details]
X server startup log showing the crash happening

Comment 3 he 2000-12-10 22:24:11 UTC
Installing the driver from Matrox (mga_drv.o) that can be found on 
ftp.matrox.com/pub/mga/archive/linux/2000/  solves the problem. The server no
longer crashes
when there isn't enough memory available to do DRI with this driver.


Comment 4 Need Real Name 2001-02-20 18:34:04 UTC
I am having similar problems with ATI rage card using drive r128.  Also a AMD K-6 cpu. Configuration and test were sucessful. Upon reboot into runlevel 
5 
, the X server now restarts upon successfull login through login manager.

Comment 5 Mike A. Harris 2001-03-17 19:21:50 UTC
XFree86 DRI problems for both r128 based cards and mga cards should be fixed in
the latest Rawhide version of XFree + dependancies.

XFree86-4.0.2a-2 or later.


Note You need to log in before you can comment on or make changes to this bug.